/*******************************************************************************
* File Name: R.h  
* Version 2.10
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_R_H) /* Pins R_H */
#define CY_PINS_R_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "R_aliases.h"

/* Check to see if required defines such as CY_PSOC5A are available */
/* They are defined starting with cy_boot v3.0 */
#if !defined (CY_PSOC5A)
    #error Component cy_pins_v2_10 requires cy_boot v3.0 or later
#endif /* (CY_PSOC5A) */

/* APIs are not generated for P15[7:6] */
#if !(CY_PSOC5A &&\
	 R__PORT == 15 && ((R__MASK & 0xC0) != 0))


/***************************************
*        Function Prototypes             
***************************************/    

void    R_Write(uint8 value) ;
void    R_SetDriveMode(uint8 mode) ;
uint8   R_ReadDataReg(void) ;
uint8   R_Read(void) ;
uint8   R_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define R_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define R_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define R_DM_RES_UP          PIN_DM_RES_UP
#define R_DM_RES_DWN         PIN_DM_RES_DWN
#define R_DM_OD_LO           PIN_DM_OD_LO
#define R_DM_OD_HI           PIN_DM_OD_HI
#define R_DM_STRONG          PIN_DM_STRONG
#define R_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define R_MASK               R__MASK
#define R_SHIFT              R__SHIFT
#define R_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define R_PS                     (* (reg8 *) R__PS)
/* Data Register */
#define R_DR                     (* (reg8 *) R__DR)
/* Port Number */
#define R_PRT_NUM                (* (reg8 *) R__PRT) 
/* Connect to Analog Globals */                                                  
#define R_AG                     (* (reg8 *) R__AG)                       
/* Analog MUX bux enable */
#define R_AMUX                   (* (reg8 *) R__AMUX) 
/* Bidirectional Enable */                                                        
#define R_BIE                    (* (reg8 *) R__BIE)
/* Bit-mask for Aliased Register Access */
#define R_BIT_MASK               (* (reg8 *) R__BIT_MASK)
/* Bypass Enable */
#define R_BYP                    (* (reg8 *) R__BYP)
/* Port wide control signals */                                                   
#define R_CTL                    (* (reg8 *) R__CTL)
/* Drive Modes */
#define R_DM0                    (* (reg8 *) R__DM0) 
#define R_DM1                    (* (reg8 *) R__DM1)
#define R_DM2                    (* (reg8 *) R__DM2) 
/* Input Buffer Disable Override */
#define R_INP_DIS                (* (reg8 *) R__INP_DIS)
/* LCD Common or Segment Drive */
#define R_LCD_COM_SEG            (* (reg8 *) R__LCD_COM_SEG)
/* Enable Segment LCD */
#define R_LCD_EN                 (* (reg8 *) R__LCD_EN)
/* Slew Rate Control */
#define R_SLW                    (* (reg8 *) R__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define R_PRTDSI__CAPS_SEL       (* (reg8 *) R__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define R_PRTDSI__DBL_SYNC_IN    (* (reg8 *) R__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define R_PRTDSI__OE_SEL0        (* (reg8 *) R__PRTDSI__OE_SEL0) 
#define R_PRTDSI__OE_SEL1        (* (reg8 *) R__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define R_PRTDSI__OUT_SEL0       (* (reg8 *) R__PRTDSI__OUT_SEL0) 
#define R_PRTDSI__OUT_SEL1       (* (reg8 *) R__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define R_PRTDSI__SYNC_OUT       (* (reg8 *) R__PRTDSI__SYNC_OUT) 


#if defined(R__INTSTAT)  /* Interrupt Registers */

    #define R_INTSTAT                (* (reg8 *) R__INTSTAT)
    #define R_SNAP                   (* (reg8 *) R__SNAP)

#endif /* Interrupt Registers */

#endif /* CY_PSOC5A... */

#endif /*  CY_PINS_R_H */


/* [] END OF FILE */
