/*******************************************************************************
* File Name: Rin.h  
* Version 2.10
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_Rin_H) /* Pins Rin_H */
#define CY_PINS_Rin_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "Rin_aliases.h"

/* Check to see if required defines such as CY_PSOC5A are available */
/* They are defined starting with cy_boot v3.0 */
#if !defined (CY_PSOC5A)
    #error Component cy_pins_v2_10 requires cy_boot v3.0 or later
#endif /* (CY_PSOC5A) */

/* APIs are not generated for P15[7:6] */
#if !(CY_PSOC5A &&\
	 Rin__PORT == 15 && ((Rin__MASK & 0xC0) != 0))


/***************************************
*        Function Prototypes             
***************************************/    

void    Rin_Write(uint8 value) ;
void    Rin_SetDriveMode(uint8 mode) ;
uint8   Rin_ReadDataReg(void) ;
uint8   Rin_Read(void) ;
uint8   Rin_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define Rin_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define Rin_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define Rin_DM_RES_UP          PIN_DM_RES_UP
#define Rin_DM_RES_DWN         PIN_DM_RES_DWN
#define Rin_DM_OD_LO           PIN_DM_OD_LO
#define Rin_DM_OD_HI           PIN_DM_OD_HI
#define Rin_DM_STRONG          PIN_DM_STRONG
#define Rin_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define Rin_MASK               Rin__MASK
#define Rin_SHIFT              Rin__SHIFT
#define Rin_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define Rin_PS                     (* (reg8 *) Rin__PS)
/* Data Register */
#define Rin_DR                     (* (reg8 *) Rin__DR)
/* Port Number */
#define Rin_PRT_NUM                (* (reg8 *) Rin__PRT) 
/* Connect to Analog Globals */                                                  
#define Rin_AG                     (* (reg8 *) Rin__AG)                       
/* Analog MUX bux enable */
#define Rin_AMUX                   (* (reg8 *) Rin__AMUX) 
/* Bidirectional Enable */                                                        
#define Rin_BIE                    (* (reg8 *) Rin__BIE)
/* Bit-mask for Aliased Register Access */
#define Rin_BIT_MASK               (* (reg8 *) Rin__BIT_MASK)
/* Bypass Enable */
#define Rin_BYP                    (* (reg8 *) Rin__BYP)
/* Port wide control signals */                                                   
#define Rin_CTL                    (* (reg8 *) Rin__CTL)
/* Drive Modes */
#define Rin_DM0                    (* (reg8 *) Rin__DM0) 
#define Rin_DM1                    (* (reg8 *) Rin__DM1)
#define Rin_DM2                    (* (reg8 *) Rin__DM2) 
/* Input Buffer Disable Override */
#define Rin_INP_DIS                (* (reg8 *) Rin__INP_DIS)
/* LCD Common or Segment Drive */
#define Rin_LCD_COM_SEG            (* (reg8 *) Rin__LCD_COM_SEG)
/* Enable Segment LCD */
#define Rin_LCD_EN                 (* (reg8 *) Rin__LCD_EN)
/* Slew Rate Control */
#define Rin_SLW                    (* (reg8 *) Rin__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define Rin_PRTDSI__CAPS_SEL       (* (reg8 *) Rin__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define Rin_PRTDSI__DBL_SYNC_IN    (* (reg8 *) Rin__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define Rin_PRTDSI__OE_SEL0        (* (reg8 *) Rin__PRTDSI__OE_SEL0) 
#define Rin_PRTDSI__OE_SEL1        (* (reg8 *) Rin__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define Rin_PRTDSI__OUT_SEL0       (* (reg8 *) Rin__PRTDSI__OUT_SEL0) 
#define Rin_PRTDSI__OUT_SEL1       (* (reg8 *) Rin__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define Rin_PRTDSI__SYNC_OUT       (* (reg8 *) Rin__PRTDSI__SYNC_OUT) 


#if defined(Rin__INTSTAT)  /* Interrupt Registers */

    #define Rin_INTSTAT                (* (reg8 *) Rin__INTSTAT)
    #define Rin_SNAP                   (* (reg8 *) Rin__SNAP)

#endif /* Interrupt Registers */

#endif /* CY_PSOC5A... */

#endif /*  CY_PINS_Rin_H */


/* [] END OF FILE */
